>From 7e08ec398dabbeb87dfa3eff7bbc0804a70d4681 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Pavel=20B=C5=99ezina?= <pbrezina@redhat.com>
Date: Thu, 12 Feb 2015 11:35:26 +0100
Subject: [PATCH 2/5] IFP: unify generated interfaces names

Number of interfaces will grow. It is mandatory to unify names of
generated structures and methods to simplify coding and debugging.

The C name is created from D-Bus lowercased interface name using
the following rewrite rules:
org.freedesktop.sssd.infopipe -> iface_ifp
. -> _

Example:
org.freedesktop.sssd.infopipe.Domains -> iface_ifp_domains
---
 src/responder/ifp/ifp_components.c      |  20 ++--
 src/responder/ifp/ifp_domains.c         |   4 +-
 src/responder/ifp/ifp_iface.c           |  56 +++++-----
 src/responder/ifp/ifp_iface.xml         |   6 +-
 src/responder/ifp/ifp_iface_generated.c | 184 ++++++++++++++++----------------
 src/responder/ifp/ifp_iface_generated.h | 150 +++++++++++++-------------
 src/responder/ifp/ifpsrv.c              |   4 +-
 src/responder/ifp/ifpsrv_cmd.c          |   3 +-
 8 files changed, 213 insertions(+), 214 deletions(-)

diff --git a/src/responder/ifp/ifp_components.c b/src/responder/ifp/ifp_components.c
index fa476c76a50fd4e250a6ef44c978d85fe2a736d4..3d700f92e118f0ae39c44165c4a65c1302e1f220 100644
--- a/src/responder/ifp/ifp_components.c
+++ b/src/responder/ifp/ifp_components.c
@@ -359,7 +359,7 @@ done:
         return sbus_request_fail_and_finish(dbus_req, error);
     }
 
-    return infopipe_iface_ListComponents_finish(dbus_req, result, num);
+    return iface_ifp_ListComponents_finish(dbus_req, result, num);
 }
 
 int ifp_list_responders(struct sbus_request *dbus_req, void *data)
@@ -376,7 +376,7 @@ int ifp_list_responders(struct sbus_request *dbus_req, void *data)
         return sbus_request_fail_and_finish(dbus_req, error);
     }
 
-    return infopipe_iface_ListResponders_finish(dbus_req, result, num);
+    return iface_ifp_ListResponders_finish(dbus_req, result, num);
 }
 
 int ifp_list_backends(struct sbus_request *dbus_req, void *data)
@@ -403,12 +403,12 @@ done:
         return sbus_request_fail_and_finish(dbus_req, error);
     }
 
-    return infopipe_iface_ListBackends_finish(dbus_req, result, num);
+    return iface_ifp_ListBackends_finish(dbus_req, result, num);
 }
 
 int ifp_find_monitor(struct sbus_request *dbus_req, void *data)
 {
-    return infopipe_iface_FindMonitor_finish(dbus_req, PATH_MONITOR);
+    return iface_ifp_FindMonitor_finish(dbus_req, PATH_MONITOR);
 }
 
 int ifp_find_responder_by_name(struct sbus_request *dbus_req,
@@ -429,7 +429,7 @@ int ifp_find_responder_by_name(struct sbus_request *dbus_req,
         return sbus_request_fail_and_finish(dbus_req, error);
     }
 
-    return infopipe_iface_FindResponderByName_finish(dbus_req, result);
+    return iface_ifp_FindResponderByName_finish(dbus_req, result);
 }
 
 int ifp_find_backend_by_name(struct sbus_request *dbus_req,
@@ -459,7 +459,7 @@ int ifp_find_backend_by_name(struct sbus_request *dbus_req,
         return sbus_request_fail_and_finish(dbus_req, error);
     }
 
-    return infopipe_iface_FindBackendByName_finish(dbus_req, result);
+    return iface_ifp_FindBackendByName_finish(dbus_req, result);
 }
 
 int ifp_component_enable(struct sbus_request *dbus_req, void *data)
@@ -529,7 +529,7 @@ done:
         return sbus_request_fail_and_finish(dbus_req, error);
     }
 
-    return infopipe_component_Enable_finish(dbus_req);
+    return iface_ifp_components_Enable_finish(dbus_req);
 #endif
 }
 
@@ -600,7 +600,7 @@ done:
         return sbus_request_fail_and_finish(dbus_req, error);
     }
 
-    return infopipe_component_Disable_finish(dbus_req);
+    return iface_ifp_components_Disable_finish(dbus_req);
 #endif
 }
 
@@ -682,7 +682,7 @@ done:
         return sbus_request_fail_and_finish(dbus_req, error);
     }
 
-    return infopipe_component_ChangeDebugLevel_finish(dbus_req);
+    return iface_ifp_components_ChangeDebugLevel_finish(dbus_req);
 #endif
 }
 
@@ -728,7 +728,7 @@ done:
         return sbus_request_fail_and_finish(dbus_req, error);
     }
 
-    return infopipe_component_ChangeDebugLevelTemporarily_finish(dbus_req);
+    return iface_ifp_components_ChangeDebugLevelTemporarily_finish(dbus_req);
 }
 
 void ifp_component_get_name(struct sbus_request *dbus_req,
diff --git a/src/responder/ifp/ifp_domains.c b/src/responder/ifp/ifp_domains.c
index 7cddb2ebcb864f0e07cad8688d69ae85942bac24..b9c2c77975f491ef6f7d9da07d35d180687eb5ab 100644
--- a/src/responder/ifp/ifp_domains.c
+++ b/src/responder/ifp/ifp_domains.c
@@ -135,7 +135,7 @@ static void ifp_list_domains_process(struct tevent_req *req)
         pi++;
     }
 
-    ret = infopipe_iface_ListDomains_finish(ireq->dbus_req, paths, num_domains);
+    ret = iface_ifp_ListDomains_finish(ireq->dbus_req, paths, num_domains);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not finish request!\n");
     }
@@ -242,7 +242,7 @@ static void ifp_find_domain_by_name_process(struct tevent_req *req)
         return;
     }
 
-    ret = infopipe_iface_FindDomainByName_finish(ireq->dbus_req, path);
+    ret = iface_ifp_FindDomainByName_finish(ireq->dbus_req, path);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not finish request!\n");
     }
diff --git a/src/responder/ifp/ifp_iface.c b/src/responder/ifp/ifp_iface.c
index d20c89fcd97eb7d366e70949e8c47d56889edfdc..d0f0260d05153eb3a6df76a42b0ac76aecbb7e17 100644
--- a/src/responder/ifp/ifp_iface.c
+++ b/src/responder/ifp/ifp_iface.c
@@ -25,8 +25,8 @@
 #include "responder/ifp/ifp_domains.h"
 #include "responder/ifp/ifp_components.h"
 
-struct infopipe_iface ifp_iface = {
-    { &infopipe_iface_meta, 0 },
+struct iface_ifp iface_ifp = {
+    { &iface_ifp_meta, 0 },
     .Ping = ifp_ping,
 
     /* components */
@@ -43,37 +43,37 @@ struct infopipe_iface ifp_iface = {
     .FindDomainByName = ifp_find_domain_by_name,
 };
 
-struct infopipe_component ifp_component = {
-    { &infopipe_component_meta, 0 },
+struct iface_ifp_components iface_ifp_components = {
+    { &iface_ifp_components_meta, 0 },
     .Enable = ifp_component_enable,
     .Disable = ifp_component_disable,
     .ChangeDebugLevel = ifp_component_change_debug_level,
     .ChangeDebugLevelTemporarily = ifp_component_change_debug_level_tmp,
-    .infopipe_component_get_name = ifp_component_get_name,
-    .infopipe_component_get_debug_level = ifp_component_get_debug_level,
-    .infopipe_component_get_enabled = ifp_component_get_enabled,
-    .infopipe_component_get_type = ifp_component_get_type,
+    .iface_ifp_components_get_name = ifp_component_get_name,
+    .iface_ifp_components_get_debug_level = ifp_component_get_debug_level,
+    .iface_ifp_components_get_enabled = ifp_component_get_enabled,
+    .iface_ifp_components_get_type = ifp_component_get_type,
     /* FIXME: This should be part of Components.Backends interface, onece
      * SSSD supports multiple interfaces per object path. */
-    .infopipe_component_get_providers = ifp_backend_get_providers
+    .iface_ifp_components_get_providers = ifp_backend_get_providers
 };
 
-struct infopipe_domain ifp_domain = {
-    { &infopipe_domain_meta, 0 },
-    .infopipe_domain_get_name = ifp_dom_get_name,
-    .infopipe_domain_get_provider = ifp_dom_get_provider,
-    .infopipe_domain_get_primary_servers = ifp_dom_get_primary_servers,
-    .infopipe_domain_get_backup_servers = ifp_dom_get_backup_servers,
-    .infopipe_domain_get_min_id = ifp_dom_get_min_id,
-    .infopipe_domain_get_max_id = ifp_dom_get_max_id,
-    .infopipe_domain_get_realm = ifp_dom_get_realm,
-    .infopipe_domain_get_forest = ifp_dom_get_forest,
-    .infopipe_domain_get_login_format = ifp_dom_get_login_format,
-    .infopipe_domain_get_fully_qualified_name_format = ifp_dom_get_fqdn_format,
-    .infopipe_domain_get_enumerable = ifp_dom_get_enumerable,
-    .infopipe_domain_get_use_fully_qualified_names = ifp_dom_get_use_fqdn,
-    .infopipe_domain_get_subdomain = ifp_dom_get_subdomain,
-    .infopipe_domain_get_parent_domain = ifp_dom_get_parent_domain
+struct iface_ifp_domains iface_ifp_domains = {
+    { &iface_ifp_domains_meta, 0 },
+    .iface_ifp_domains_get_name = ifp_dom_get_name,
+    .iface_ifp_domains_get_provider = ifp_dom_get_provider,
+    .iface_ifp_domains_get_primary_servers = ifp_dom_get_primary_servers,
+    .iface_ifp_domains_get_backup_servers = ifp_dom_get_backup_servers,
+    .iface_ifp_domains_get_min_id = ifp_dom_get_min_id,
+    .iface_ifp_domains_get_max_id = ifp_dom_get_max_id,
+    .iface_ifp_domains_get_realm = ifp_dom_get_realm,
+    .iface_ifp_domains_get_forest = ifp_dom_get_forest,
+    .iface_ifp_domains_get_login_format = ifp_dom_get_login_format,
+    .iface_ifp_domains_get_fully_qualified_name_format = ifp_dom_get_fqdn_format,
+    .iface_ifp_domains_get_enumerable = ifp_dom_get_enumerable,
+    .iface_ifp_domains_get_use_fully_qualified_names = ifp_dom_get_use_fqdn,
+    .iface_ifp_domains_get_subdomain = ifp_dom_get_subdomain,
+    .iface_ifp_domains_get_parent_domain = ifp_dom_get_parent_domain
 };
 
 struct iface_map {
@@ -82,9 +82,9 @@ struct iface_map {
 };
 
 static struct iface_map iface_map[] = {
-    { INFOPIPE_PATH, &ifp_iface.vtable },
-    { INFOPIPE_DOMAIN_PATH, &ifp_domain.vtable },
-    { INFOPIPE_COMPONENT_PATH, &ifp_component.vtable },
+    { INFOPIPE_PATH, &iface_ifp.vtable },
+    { INFOPIPE_DOMAIN_PATH, &iface_ifp_domains.vtable },
+    { INFOPIPE_COMPONENT_PATH, &iface_ifp_components.vtable },
     { NULL, NULL },
 };
 
diff --git a/src/responder/ifp/ifp_iface.xml b/src/responder/ifp/ifp_iface.xml
index 815abd1aeb39e131c0151afc8031e11dce36702c..81d4dbf8be5a4a6fe60e83edb502ad409044ebaa 100644
--- a/src/responder/ifp/ifp_iface.xml
+++ b/src/responder/ifp/ifp_iface.xml
@@ -2,7 +2,7 @@
  "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
 <node>
     <interface name="org.freedesktop.sssd.infopipe">
-        <annotation value="infopipe_iface" name="org.freedesktop.DBus.GLib.CSymbol"/>
+        <annotation value="iface_ifp" name="org.freedesktop.DBus.GLib.CSymbol"/>
 
         <method name="Ping">
             <!-- manual argument parsing, raw handler -->
@@ -61,7 +61,7 @@
     </interface>
 
     <interface name="org.freedesktop.sssd.infopipe.Components">
-        <annotation name="org.freedesktop.DBus.GLib.CSymbol" value="infopipe_component"/>
+        <annotation name="org.freedesktop.DBus.GLib.CSymbol" value="iface_ifp_components"/>
 
         <method name="Enable" />
         <method name="Disable" />
@@ -84,7 +84,7 @@
     </interface>
 
     <interface name="org.freedesktop.sssd.infopipe.Domains">
-        <annotation name="org.freedesktop.DBus.GLib.CSymbol" value="infopipe_domain"/>
+        <annotation name="org.freedesktop.DBus.GLib.CSymbol" value="iface_ifp_domains"/>
 
         <property name="name" type="s" access="read"/>
         <property name="provider" type="s" access="read"/>
diff --git a/src/responder/ifp/ifp_iface_generated.c b/src/responder/ifp/ifp_iface_generated.c
index 306a98a7bb908db0ac5a9a1fec9fbb8483b238c9..2cdfa3012a46dddbed05db2eb6f8ef2308825c16 100644
--- a/src/responder/ifp/ifp_iface_generated.c
+++ b/src/responder/ifp/ifp_iface_generated.c
@@ -13,12 +13,12 @@ static int invoke_s_method(struct sbus_request *dbus_req, void *function_ptr);
 static int invoke_u_method(struct sbus_request *dbus_req, void *function_ptr);
 
 /* arguments for org.freedesktop.sssd.infopipe.ListComponents */
-const struct sbus_arg_meta infopipe_iface_ListComponents__out[] = {
+const struct sbus_arg_meta iface_ifp_ListComponents__out[] = {
     { "components", "ao" },
     { NULL, }
 };
 
-int infopipe_iface_ListComponents_finish(struct sbus_request *req, const char *arg_components[], int len_components)
+int iface_ifp_ListComponents_finish(struct sbus_request *req, const char *arg_components[], int len_components)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_ARRAY, DBUS_TYPE_OBJECT_PATH, &arg_components, len_components,
@@ -26,12 +26,12 @@ int infopipe_iface_ListComponents_finish(struct sbus_request *req, const char *a
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.ListResponders */
-const struct sbus_arg_meta infopipe_iface_ListResponders__out[] = {
+const struct sbus_arg_meta iface_ifp_ListResponders__out[] = {
     { "responders", "ao" },
     { NULL, }
 };
 
-int infopipe_iface_ListResponders_finish(struct sbus_request *req, const char *arg_responders[], int len_responders)
+int iface_ifp_ListResponders_finish(struct sbus_request *req, const char *arg_responders[], int len_responders)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_ARRAY, DBUS_TYPE_OBJECT_PATH, &arg_responders, len_responders,
@@ -39,12 +39,12 @@ int infopipe_iface_ListResponders_finish(struct sbus_request *req, const char *a
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.ListBackends */
-const struct sbus_arg_meta infopipe_iface_ListBackends__out[] = {
+const struct sbus_arg_meta iface_ifp_ListBackends__out[] = {
     { "backends", "ao" },
     { NULL, }
 };
 
-int infopipe_iface_ListBackends_finish(struct sbus_request *req, const char *arg_backends[], int len_backends)
+int iface_ifp_ListBackends_finish(struct sbus_request *req, const char *arg_backends[], int len_backends)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_ARRAY, DBUS_TYPE_OBJECT_PATH, &arg_backends, len_backends,
@@ -52,12 +52,12 @@ int infopipe_iface_ListBackends_finish(struct sbus_request *req, const char *arg
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.FindMonitor */
-const struct sbus_arg_meta infopipe_iface_FindMonitor__out[] = {
+const struct sbus_arg_meta iface_ifp_FindMonitor__out[] = {
     { "monitor", "o" },
     { NULL, }
 };
 
-int infopipe_iface_FindMonitor_finish(struct sbus_request *req, const char *arg_monitor)
+int iface_ifp_FindMonitor_finish(struct sbus_request *req, const char *arg_monitor)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_OBJECT_PATH, &arg_monitor,
@@ -65,18 +65,18 @@ int infopipe_iface_FindMonitor_finish(struct sbus_request *req, const char *arg_
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.FindResponderByName */
-const struct sbus_arg_meta infopipe_iface_FindResponderByName__in[] = {
+const struct sbus_arg_meta iface_ifp_FindResponderByName__in[] = {
     { "name", "s" },
     { NULL, }
 };
 
 /* arguments for org.freedesktop.sssd.infopipe.FindResponderByName */
-const struct sbus_arg_meta infopipe_iface_FindResponderByName__out[] = {
+const struct sbus_arg_meta iface_ifp_FindResponderByName__out[] = {
     { "responder", "o" },
     { NULL, }
 };
 
-int infopipe_iface_FindResponderByName_finish(struct sbus_request *req, const char *arg_responder)
+int iface_ifp_FindResponderByName_finish(struct sbus_request *req, const char *arg_responder)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_OBJECT_PATH, &arg_responder,
@@ -84,18 +84,18 @@ int infopipe_iface_FindResponderByName_finish(struct sbus_request *req, const ch
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.FindBackendByName */
-const struct sbus_arg_meta infopipe_iface_FindBackendByName__in[] = {
+const struct sbus_arg_meta iface_ifp_FindBackendByName__in[] = {
     { "name", "s" },
     { NULL, }
 };
 
 /* arguments for org.freedesktop.sssd.infopipe.FindBackendByName */
-const struct sbus_arg_meta infopipe_iface_FindBackendByName__out[] = {
+const struct sbus_arg_meta iface_ifp_FindBackendByName__out[] = {
     { "backend", "o" },
     { NULL, }
 };
 
-int infopipe_iface_FindBackendByName_finish(struct sbus_request *req, const char *arg_backend)
+int iface_ifp_FindBackendByName_finish(struct sbus_request *req, const char *arg_backend)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_OBJECT_PATH, &arg_backend,
@@ -103,31 +103,31 @@ int infopipe_iface_FindBackendByName_finish(struct sbus_request *req, const char
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.GetUserAttr */
-const struct sbus_arg_meta infopipe_iface_GetUserAttr__in[] = {
+const struct sbus_arg_meta iface_ifp_GetUserAttr__in[] = {
     { "user", "s" },
     { "attr", "as" },
     { NULL, }
 };
 
 /* arguments for org.freedesktop.sssd.infopipe.GetUserAttr */
-const struct sbus_arg_meta infopipe_iface_GetUserAttr__out[] = {
+const struct sbus_arg_meta iface_ifp_GetUserAttr__out[] = {
     { "values", "a{sv}" },
     { NULL, }
 };
 
 /* arguments for org.freedesktop.sssd.infopipe.GetUserGroups */
-const struct sbus_arg_meta infopipe_iface_GetUserGroups__in[] = {
+const struct sbus_arg_meta iface_ifp_GetUserGroups__in[] = {
     { "user", "s" },
     { NULL, }
 };
 
 /* arguments for org.freedesktop.sssd.infopipe.GetUserGroups */
-const struct sbus_arg_meta infopipe_iface_GetUserGroups__out[] = {
+const struct sbus_arg_meta iface_ifp_GetUserGroups__out[] = {
     { "values", "as" },
     { NULL, }
 };
 
-int infopipe_iface_GetUserGroups_finish(struct sbus_request *req, const char *arg_values[], int len_values)
+int iface_ifp_GetUserGroups_finish(struct sbus_request *req, const char *arg_values[], int len_values)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_ARRAY, DBUS_TYPE_STRING, &arg_values, len_values,
@@ -135,18 +135,18 @@ int infopipe_iface_GetUserGroups_finish(struct sbus_request *req, const char *ar
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.FindDomainByName */
-const struct sbus_arg_meta infopipe_iface_FindDomainByName__in[] = {
+const struct sbus_arg_meta iface_ifp_FindDomainByName__in[] = {
     { "name", "s" },
     { NULL, }
 };
 
 /* arguments for org.freedesktop.sssd.infopipe.FindDomainByName */
-const struct sbus_arg_meta infopipe_iface_FindDomainByName__out[] = {
+const struct sbus_arg_meta iface_ifp_FindDomainByName__out[] = {
     { "domain", "o" },
     { NULL, }
 };
 
-int infopipe_iface_FindDomainByName_finish(struct sbus_request *req, const char *arg_domain)
+int iface_ifp_FindDomainByName_finish(struct sbus_request *req, const char *arg_domain)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_OBJECT_PATH, &arg_domain,
@@ -154,12 +154,12 @@ int infopipe_iface_FindDomainByName_finish(struct sbus_request *req, const char
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.ListDomains */
-const struct sbus_arg_meta infopipe_iface_ListDomains__out[] = {
+const struct sbus_arg_meta iface_ifp_ListDomains__out[] = {
     { "domain", "ao" },
     { NULL, }
 };
 
-int infopipe_iface_ListDomains_finish(struct sbus_request *req, const char *arg_domain[], int len_domain)
+int iface_ifp_ListDomains_finish(struct sbus_request *req, const char *arg_domain[], int len_domain)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_ARRAY, DBUS_TYPE_OBJECT_PATH, &arg_domain, len_domain,
@@ -167,172 +167,172 @@ int infopipe_iface_ListDomains_finish(struct sbus_request *req, const char *arg_
 }
 
 /* methods for org.freedesktop.sssd.infopipe */
-const struct sbus_method_meta infopipe_iface__methods[] = {
+const struct sbus_method_meta iface_ifp__methods[] = {
     {
         "Ping", /* name */
         NULL, /* no in_args */
         NULL, /* no out_args */
-        offsetof(struct infopipe_iface, Ping),
+        offsetof(struct iface_ifp, Ping),
         NULL, /* no invoker */
     },
     {
         "ListComponents", /* name */
         NULL, /* no in_args */
-        infopipe_iface_ListComponents__out,
-        offsetof(struct infopipe_iface, ListComponents),
+        iface_ifp_ListComponents__out,
+        offsetof(struct iface_ifp, ListComponents),
         NULL, /* no invoker */
     },
     {
         "ListResponders", /* name */
         NULL, /* no in_args */
-        infopipe_iface_ListResponders__out,
-        offsetof(struct infopipe_iface, ListResponders),
+        iface_ifp_ListResponders__out,
+        offsetof(struct iface_ifp, ListResponders),
         NULL, /* no invoker */
     },
     {
         "ListBackends", /* name */
         NULL, /* no in_args */
-        infopipe_iface_ListBackends__out,
-        offsetof(struct infopipe_iface, ListBackends),
+        iface_ifp_ListBackends__out,
+        offsetof(struct iface_ifp, ListBackends),
         NULL, /* no invoker */
     },
     {
         "FindMonitor", /* name */
         NULL, /* no in_args */
-        infopipe_iface_FindMonitor__out,
-        offsetof(struct infopipe_iface, FindMonitor),
+        iface_ifp_FindMonitor__out,
+        offsetof(struct iface_ifp, FindMonitor),
         NULL, /* no invoker */
     },
     {
         "FindResponderByName", /* name */
-        infopipe_iface_FindResponderByName__in,
-        infopipe_iface_FindResponderByName__out,
-        offsetof(struct infopipe_iface, FindResponderByName),
+        iface_ifp_FindResponderByName__in,
+        iface_ifp_FindResponderByName__out,
+        offsetof(struct iface_ifp, FindResponderByName),
         invoke_s_method,
     },
     {
         "FindBackendByName", /* name */
-        infopipe_iface_FindBackendByName__in,
-        infopipe_iface_FindBackendByName__out,
-        offsetof(struct infopipe_iface, FindBackendByName),
+        iface_ifp_FindBackendByName__in,
+        iface_ifp_FindBackendByName__out,
+        offsetof(struct iface_ifp, FindBackendByName),
         invoke_s_method,
     },
     {
         "GetUserAttr", /* name */
-        infopipe_iface_GetUserAttr__in,
-        infopipe_iface_GetUserAttr__out,
-        offsetof(struct infopipe_iface, GetUserAttr),
+        iface_ifp_GetUserAttr__in,
+        iface_ifp_GetUserAttr__out,
+        offsetof(struct iface_ifp, GetUserAttr),
         NULL, /* no invoker */
     },
     {
         "GetUserGroups", /* name */
-        infopipe_iface_GetUserGroups__in,
-        infopipe_iface_GetUserGroups__out,
-        offsetof(struct infopipe_iface, GetUserGroups),
+        iface_ifp_GetUserGroups__in,
+        iface_ifp_GetUserGroups__out,
+        offsetof(struct iface_ifp, GetUserGroups),
         invoke_s_method,
     },
     {
         "FindDomainByName", /* name */
-        infopipe_iface_FindDomainByName__in,
-        infopipe_iface_FindDomainByName__out,
-        offsetof(struct infopipe_iface, FindDomainByName),
+        iface_ifp_FindDomainByName__in,
+        iface_ifp_FindDomainByName__out,
+        offsetof(struct iface_ifp, FindDomainByName),
         invoke_s_method,
     },
     {
         "ListDomains", /* name */
         NULL, /* no in_args */
-        infopipe_iface_ListDomains__out,
-        offsetof(struct infopipe_iface, ListDomains),
+        iface_ifp_ListDomains__out,
+        offsetof(struct iface_ifp, ListDomains),
         NULL, /* no invoker */
     },
     { NULL, }
 };
 
 /* interface info for org.freedesktop.sssd.infopipe */
-const struct sbus_interface_meta infopipe_iface_meta = {
+const struct sbus_interface_meta iface_ifp_meta = {
     "org.freedesktop.sssd.infopipe", /* name */
-    infopipe_iface__methods,
+    iface_ifp__methods,
     NULL, /* no signals */
     NULL, /* no properties */
     sbus_invoke_get_all, /* GetAll invoker */
 };
 
-int infopipe_component_Enable_finish(struct sbus_request *req)
+int iface_ifp_components_Enable_finish(struct sbus_request *req)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_INVALID);
 }
 
-int infopipe_component_Disable_finish(struct sbus_request *req)
+int iface_ifp_components_Disable_finish(struct sbus_request *req)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_INVALID);
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.Components.ChangeDebugLevel */
-const struct sbus_arg_meta infopipe_component_ChangeDebugLevel__in[] = {
+const struct sbus_arg_meta iface_ifp_components_ChangeDebugLevel__in[] = {
     { "new_level", "u" },
     { NULL, }
 };
 
-int infopipe_component_ChangeDebugLevel_finish(struct sbus_request *req)
+int iface_ifp_components_ChangeDebugLevel_finish(struct sbus_request *req)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_INVALID);
 }
 
 /* arguments for org.freedesktop.sssd.infopipe.Components.ChangeDebugLevelTemporarily */
-const struct sbus_arg_meta infopipe_component_ChangeDebugLevelTemporarily__in[] = {
+const struct sbus_arg_meta iface_ifp_components_ChangeDebugLevelTemporarily__in[] = {
     { "new_level", "u" },
     { NULL, }
 };
 
-int infopipe_component_ChangeDebugLevelTemporarily_finish(struct sbus_request *req)
+int iface_ifp_components_ChangeDebugLevelTemporarily_finish(struct sbus_request *req)
 {
    return sbus_request_return_and_finish(req,
                                          DBUS_TYPE_INVALID);
 }
 
 /* methods for org.freedesktop.sssd.infopipe.Components */
-const struct sbus_method_meta infopipe_component__methods[] = {
+const struct sbus_method_meta iface_ifp_components__methods[] = {
     {
         "Enable", /* name */
         NULL, /* no in_args */
         NULL, /* no out_args */
-        offsetof(struct infopipe_component, Enable),
+        offsetof(struct iface_ifp_components, Enable),
         NULL, /* no invoker */
     },
     {
         "Disable", /* name */
         NULL, /* no in_args */
         NULL, /* no out_args */
-        offsetof(struct infopipe_component, Disable),
+        offsetof(struct iface_ifp_components, Disable),
         NULL, /* no invoker */
     },
     {
         "ChangeDebugLevel", /* name */
-        infopipe_component_ChangeDebugLevel__in,
+        iface_ifp_components_ChangeDebugLevel__in,
         NULL, /* no out_args */
-        offsetof(struct infopipe_component, ChangeDebugLevel),
+        offsetof(struct iface_ifp_components, ChangeDebugLevel),
         invoke_u_method,
     },
     {
         "ChangeDebugLevelTemporarily", /* name */
-        infopipe_component_ChangeDebugLevelTemporarily__in,
+        iface_ifp_components_ChangeDebugLevelTemporarily__in,
         NULL, /* no out_args */
-        offsetof(struct infopipe_component, ChangeDebugLevelTemporarily),
+        offsetof(struct iface_ifp_components, ChangeDebugLevelTemporarily),
         invoke_u_method,
     },
     { NULL, }
 };
 
 /* property info for org.freedesktop.sssd.infopipe.Components */
-const struct sbus_property_meta infopipe_component__properties[] = {
+const struct sbus_property_meta iface_ifp_components__properties[] = {
     {
         "name", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_component, infopipe_component_get_name),
+        offsetof(struct iface_ifp_components, iface_ifp_components_get_name),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -341,7 +341,7 @@ const struct sbus_property_meta infopipe_component__properties[] = {
         "debug_level", /* name */
         "u", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_component, infopipe_component_get_debug_level),
+        offsetof(struct iface_ifp_components, iface_ifp_components_get_debug_level),
         sbus_invoke_get_u,
         0, /* not writable */
         NULL, /* no invoker */
@@ -350,7 +350,7 @@ const struct sbus_property_meta infopipe_component__properties[] = {
         "enabled", /* name */
         "b", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_component, infopipe_component_get_enabled),
+        offsetof(struct iface_ifp_components, iface_ifp_components_get_enabled),
         sbus_invoke_get_b,
         0, /* not writable */
         NULL, /* no invoker */
@@ -359,7 +359,7 @@ const struct sbus_property_meta infopipe_component__properties[] = {
         "type", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_component, infopipe_component_get_type),
+        offsetof(struct iface_ifp_components, iface_ifp_components_get_type),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -368,7 +368,7 @@ const struct sbus_property_meta infopipe_component__properties[] = {
         "providers", /* name */
         "as", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_component, infopipe_component_get_providers),
+        offsetof(struct iface_ifp_components, iface_ifp_components_get_providers),
         sbus_invoke_get_as,
         0, /* not writable */
         NULL, /* no invoker */
@@ -377,21 +377,21 @@ const struct sbus_property_meta infopipe_component__properties[] = {
 };
 
 /* interface info for org.freedesktop.sssd.infopipe.Components */
-const struct sbus_interface_meta infopipe_component_meta = {
+const struct sbus_interface_meta iface_ifp_components_meta = {
     "org.freedesktop.sssd.infopipe.Components", /* name */
-    infopipe_component__methods,
+    iface_ifp_components__methods,
     NULL, /* no signals */
-    infopipe_component__properties,
+    iface_ifp_components__properties,
     sbus_invoke_get_all, /* GetAll invoker */
 };
 
 /* property info for org.freedesktop.sssd.infopipe.Domains */
-const struct sbus_property_meta infopipe_domain__properties[] = {
+const struct sbus_property_meta iface_ifp_domains__properties[] = {
     {
         "name", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_name),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_name),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -400,7 +400,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "provider", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_provider),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_provider),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -409,7 +409,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "primary_servers", /* name */
         "as", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_primary_servers),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_primary_servers),
         sbus_invoke_get_as,
         0, /* not writable */
         NULL, /* no invoker */
@@ -418,7 +418,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "backup_servers", /* name */
         "as", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_backup_servers),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_backup_servers),
         sbus_invoke_get_as,
         0, /* not writable */
         NULL, /* no invoker */
@@ -427,7 +427,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "min_id", /* name */
         "u", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_min_id),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_min_id),
         sbus_invoke_get_u,
         0, /* not writable */
         NULL, /* no invoker */
@@ -436,7 +436,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "max_id", /* name */
         "u", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_max_id),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_max_id),
         sbus_invoke_get_u,
         0, /* not writable */
         NULL, /* no invoker */
@@ -445,7 +445,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "realm", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_realm),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_realm),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -454,7 +454,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "forest", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_forest),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_forest),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -463,7 +463,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "login_format", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_login_format),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_login_format),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -472,7 +472,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "fully_qualified_name_format", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_fully_qualified_name_format),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_fully_qualified_name_format),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -481,7 +481,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "enumerable", /* name */
         "b", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_enumerable),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_enumerable),
         sbus_invoke_get_b,
         0, /* not writable */
         NULL, /* no invoker */
@@ -490,7 +490,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "use_fully_qualified_names", /* name */
         "b", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_use_fully_qualified_names),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_use_fully_qualified_names),
         sbus_invoke_get_b,
         0, /* not writable */
         NULL, /* no invoker */
@@ -499,7 +499,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "subdomain", /* name */
         "b", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_subdomain),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_subdomain),
         sbus_invoke_get_b,
         0, /* not writable */
         NULL, /* no invoker */
@@ -508,7 +508,7 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
         "parent_domain", /* name */
         "o", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct infopipe_domain, infopipe_domain_get_parent_domain),
+        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_parent_domain),
         sbus_invoke_get_o,
         0, /* not writable */
         NULL, /* no invoker */
@@ -517,11 +517,11 @@ const struct sbus_property_meta infopipe_domain__properties[] = {
 };
 
 /* interface info for org.freedesktop.sssd.infopipe.Domains */
-const struct sbus_interface_meta infopipe_domain_meta = {
+const struct sbus_interface_meta iface_ifp_domains_meta = {
     "org.freedesktop.sssd.infopipe.Domains", /* name */
     NULL, /* no methods */
     NULL, /* no signals */
-    infopipe_domain__properties,
+    iface_ifp_domains__properties,
     sbus_invoke_get_all, /* GetAll invoker */
 };
 
diff --git a/src/responder/ifp/ifp_iface_generated.h b/src/responder/ifp/ifp_iface_generated.h
index 3a3e6955e351d76a23cbd6d94104e1198d51c5f3..7dfe8c05f02bca6550a2eb8f0ec948e027b0dcbe 100644
--- a/src/responder/ifp/ifp_iface_generated.h
+++ b/src/responder/ifp/ifp_iface_generated.h
@@ -12,47 +12,47 @@
  */
 
 /* constants for org.freedesktop.sssd.infopipe */
-#define INFOPIPE_IFACE "org.freedesktop.sssd.infopipe"
-#define INFOPIPE_IFACE_PING "Ping"
-#define INFOPIPE_IFACE_LISTCOMPONENTS "ListComponents"
-#define INFOPIPE_IFACE_LISTRESPONDERS "ListResponders"
-#define INFOPIPE_IFACE_LISTBACKENDS "ListBackends"
-#define INFOPIPE_IFACE_FINDMONITOR "FindMonitor"
-#define INFOPIPE_IFACE_FINDRESPONDERBYNAME "FindResponderByName"
-#define INFOPIPE_IFACE_FINDBACKENDBYNAME "FindBackendByName"
-#define INFOPIPE_IFACE_GETUSERATTR "GetUserAttr"
-#define INFOPIPE_IFACE_GETUSERGROUPS "GetUserGroups"
-#define INFOPIPE_IFACE_FINDDOMAINBYNAME "FindDomainByName"
-#define INFOPIPE_IFACE_LISTDOMAINS "ListDomains"
+#define IFACE_IFP "org.freedesktop.sssd.infopipe"
+#define IFACE_IFP_PING "Ping"
+#define IFACE_IFP_LISTCOMPONENTS "ListComponents"
+#define IFACE_IFP_LISTRESPONDERS "ListResponders"
+#define IFACE_IFP_LISTBACKENDS "ListBackends"
+#define IFACE_IFP_FINDMONITOR "FindMonitor"
+#define IFACE_IFP_FINDRESPONDERBYNAME "FindResponderByName"
+#define IFACE_IFP_FINDBACKENDBYNAME "FindBackendByName"
+#define IFACE_IFP_GETUSERATTR "GetUserAttr"
+#define IFACE_IFP_GETUSERGROUPS "GetUserGroups"
+#define IFACE_IFP_FINDDOMAINBYNAME "FindDomainByName"
+#define IFACE_IFP_LISTDOMAINS "ListDomains"
 
 /* constants for org.freedesktop.sssd.infopipe.Components */
-#define INFOPIPE_COMPONENT "org.freedesktop.sssd.infopipe.Components"
-#define INFOPIPE_COMPONENT_ENABLE "Enable"
-#define INFOPIPE_COMPONENT_DISABLE "Disable"
-#define INFOPIPE_COMPONENT_CHANGEDEBUGLEVEL "ChangeDebugLevel"
-#define INFOPIPE_COMPONENT_CHANGEDEBUGLEVELTEMPORARILY "ChangeDebugLevelTemporarily"
-#define INFOPIPE_COMPONENT_NAME "name"
-#define INFOPIPE_COMPONENT_DEBUG_LEVEL "debug_level"
-#define INFOPIPE_COMPONENT_ENABLED "enabled"
-#define INFOPIPE_COMPONENT_TYPE "type"
-#define INFOPIPE_COMPONENT_PROVIDERS "providers"
+#define IFACE_IFP_COMPONENTS "org.freedesktop.sssd.infopipe.Components"
+#define IFACE_IFP_COMPONENTS_ENABLE "Enable"
+#define IFACE_IFP_COMPONENTS_DISABLE "Disable"
+#define IFACE_IFP_COMPONENTS_CHANGEDEBUGLEVEL "ChangeDebugLevel"
+#define IFACE_IFP_COMPONENTS_CHANGEDEBUGLEVELTEMPORARILY "ChangeDebugLevelTemporarily"
+#define IFACE_IFP_COMPONENTS_NAME "name"
+#define IFACE_IFP_COMPONENTS_DEBUG_LEVEL "debug_level"
+#define IFACE_IFP_COMPONENTS_ENABLED "enabled"
+#define IFACE_IFP_COMPONENTS_TYPE "type"
+#define IFACE_IFP_COMPONENTS_PROVIDERS "providers"
 
 /* constants for org.freedesktop.sssd.infopipe.Domains */
-#define INFOPIPE_DOMAIN "org.freedesktop.sssd.infopipe.Domains"
-#define INFOPIPE_DOMAIN_NAME "name"
-#define INFOPIPE_DOMAIN_PROVIDER "provider"
-#define INFOPIPE_DOMAIN_PRIMARY_SERVERS "primary_servers"
-#define INFOPIPE_DOMAIN_BACKUP_SERVERS "backup_servers"
-#define INFOPIPE_DOMAIN_MIN_ID "min_id"
-#define INFOPIPE_DOMAIN_MAX_ID "max_id"
-#define INFOPIPE_DOMAIN_REALM "realm"
-#define INFOPIPE_DOMAIN_FOREST "forest"
-#define INFOPIPE_DOMAIN_LOGIN_FORMAT "login_format"
-#define INFOPIPE_DOMAIN_FULLY_QUALIFIED_NAME_FORMAT "fully_qualified_name_format"
-#define INFOPIPE_DOMAIN_ENUMERABLE "enumerable"
-#define INFOPIPE_DOMAIN_USE_FULLY_QUALIFIED_NAMES "use_fully_qualified_names"
-#define INFOPIPE_DOMAIN_SUBDOMAIN "subdomain"
-#define INFOPIPE_DOMAIN_PARENT_DOMAIN "parent_domain"
+#define IFACE_IFP_DOMAINS "org.freedesktop.sssd.infopipe.Domains"
+#define IFACE_IFP_DOMAINS_NAME "name"
+#define IFACE_IFP_DOMAINS_PROVIDER "provider"
+#define IFACE_IFP_DOMAINS_PRIMARY_SERVERS "primary_servers"
+#define IFACE_IFP_DOMAINS_BACKUP_SERVERS "backup_servers"
+#define IFACE_IFP_DOMAINS_MIN_ID "min_id"
+#define IFACE_IFP_DOMAINS_MAX_ID "max_id"
+#define IFACE_IFP_DOMAINS_REALM "realm"
+#define IFACE_IFP_DOMAINS_FOREST "forest"
+#define IFACE_IFP_DOMAINS_LOGIN_FORMAT "login_format"
+#define IFACE_IFP_DOMAINS_FULLY_QUALIFIED_NAME_FORMAT "fully_qualified_name_format"
+#define IFACE_IFP_DOMAINS_ENUMERABLE "enumerable"
+#define IFACE_IFP_DOMAINS_USE_FULLY_QUALIFIED_NAMES "use_fully_qualified_names"
+#define IFACE_IFP_DOMAINS_SUBDOMAIN "subdomain"
+#define IFACE_IFP_DOMAINS_PARENT_DOMAIN "parent_domain"
 
 /* ------------------------------------------------------------------------
  * DBus handlers
@@ -73,7 +73,7 @@
  */
 
 /* vtable for org.freedesktop.sssd.infopipe */
-struct infopipe_iface {
+struct iface_ifp {
     struct sbus_vtable vtable; /* derive from sbus_vtable */
     sbus_msg_handler_fn Ping;
     int (*ListComponents)(struct sbus_request *req, void *data);
@@ -89,75 +89,75 @@ struct infopipe_iface {
 };
 
 /* finish function for ListComponents */
-int infopipe_iface_ListComponents_finish(struct sbus_request *req, const char *arg_components[], int len_components);
+int iface_ifp_ListComponents_finish(struct sbus_request *req, const char *arg_components[], int len_components);
 
 /* finish function for ListResponders */
-int infopipe_iface_ListResponders_finish(struct sbus_request *req, const char *arg_responders[], int len_responders);
+int iface_ifp_ListResponders_finish(struct sbus_request *req, const char *arg_responders[], int len_responders);
 
 /* finish function for ListBackends */
-int infopipe_iface_ListBackends_finish(struct sbus_request *req, const char *arg_backends[], int len_backends);
+int iface_ifp_ListBackends_finish(struct sbus_request *req, const char *arg_backends[], int len_backends);
 
 /* finish function for FindMonitor */
-int infopipe_iface_FindMonitor_finish(struct sbus_request *req, const char *arg_monitor);
+int iface_ifp_FindMonitor_finish(struct sbus_request *req, const char *arg_monitor);
 
 /* finish function for FindResponderByName */
-int infopipe_iface_FindResponderByName_finish(struct sbus_request *req, const char *arg_responder);
+int iface_ifp_FindResponderByName_finish(struct sbus_request *req, const char *arg_responder);
 
 /* finish function for FindBackendByName */
-int infopipe_iface_FindBackendByName_finish(struct sbus_request *req, const char *arg_backend);
+int iface_ifp_FindBackendByName_finish(struct sbus_request *req, const char *arg_backend);
 
 /* finish function for GetUserGroups */
-int infopipe_iface_GetUserGroups_finish(struct sbus_request *req, const char *arg_values[], int len_values);
+int iface_ifp_GetUserGroups_finish(struct sbus_request *req, const char *arg_values[], int len_values);
 
 /* finish function for FindDomainByName */
-int infopipe_iface_FindDomainByName_finish(struct sbus_request *req, const char *arg_domain);
+int iface_ifp_FindDomainByName_finish(struct sbus_request *req, const char *arg_domain);
 
 /* finish function for ListDomains */
-int infopipe_iface_ListDomains_finish(struct sbus_request *req, const char *arg_domain[], int len_domain);
+int iface_ifp_ListDomains_finish(struct sbus_request *req, const char *arg_domain[], int len_domain);
 
 /* vtable for org.freedesktop.sssd.infopipe.Components */
-struct infopipe_component {
+struct iface_ifp_components {
     struct sbus_vtable vtable; /* derive from sbus_vtable */
     int (*Enable)(struct sbus_request *req, void *data);
     int (*Disable)(struct sbus_request *req, void *data);
     int (*ChangeDebugLevel)(struct sbus_request *req, void *data, uint32_t arg_new_level);
     int (*ChangeDebugLevelTemporarily)(struct sbus_request *req, void *data, uint32_t arg_new_level);
-    void (*infopipe_component_get_name)(struct sbus_request *, void *data, const char * *);
-    void (*infopipe_component_get_debug_level)(struct sbus_request *, void *data, uint32_t *);
-    void (*infopipe_component_get_enabled)(struct sbus_request *, void *data, bool *);
-    void (*infopipe_component_get_type)(struct sbus_request *, void *data, const char * *);
-    void (*infopipe_component_get_providers)(struct sbus_request *, void *data, const char * * *, int *);
+    void (*iface_ifp_components_get_name)(struct sbus_request *, void *data, const char * *);
+    void (*iface_ifp_components_get_debug_level)(struct sbus_request *, void *data, uint32_t *);
+    void (*iface_ifp_components_get_enabled)(struct sbus_request *, void *data, bool *);
+    void (*iface_ifp_components_get_type)(struct sbus_request *, void *data, const char * *);
+    void (*iface_ifp_components_get_providers)(struct sbus_request *, void *data, const char * * *, int *);
 };
 
 /* finish function for Enable */
-int infopipe_component_Enable_finish(struct sbus_request *req);
+int iface_ifp_components_Enable_finish(struct sbus_request *req);
 
 /* finish function for Disable */
-int infopipe_component_Disable_finish(struct sbus_request *req);
+int iface_ifp_components_Disable_finish(struct sbus_request *req);
 
 /* finish function for ChangeDebugLevel */
-int infopipe_component_ChangeDebugLevel_finish(struct sbus_request *req);
+int iface_ifp_components_ChangeDebugLevel_finish(struct sbus_request *req);
 
 /* finish function for ChangeDebugLevelTemporarily */
-int infopipe_component_ChangeDebugLevelTemporarily_finish(struct sbus_request *req);
+int iface_ifp_components_ChangeDebugLevelTemporarily_finish(struct sbus_request *req);
 
 /* vtable for org.freedesktop.sssd.infopipe.Domains */
-struct infopipe_domain {
+struct iface_ifp_domains {
     struct sbus_vtable vtable; /* derive from sbus_vtable */
-    void (*infopipe_domain_get_name)(struct sbus_request *, void *data, const char * *);
-    void (*infopipe_domain_get_provider)(struct sbus_request *, void *data, const char * *);
-    void (*infopipe_domain_get_primary_servers)(struct sbus_request *, void *data, const char * * *, int *);
-    void (*infopipe_domain_get_backup_servers)(struct sbus_request *, void *data, const char * * *, int *);
-    void (*infopipe_domain_get_min_id)(struct sbus_request *, void *data, uint32_t *);
-    void (*infopipe_domain_get_max_id)(struct sbus_request *, void *data, uint32_t *);
-    void (*infopipe_domain_get_realm)(struct sbus_request *, void *data, const char * *);
-    void (*infopipe_domain_get_forest)(struct sbus_request *, void *data, const char * *);
-    void (*infopipe_domain_get_login_format)(struct sbus_request *, void *data, const char * *);
-    void (*infopipe_domain_get_fully_qualified_name_format)(struct sbus_request *, void *data, const char * *);
-    void (*infopipe_domain_get_enumerable)(struct sbus_request *, void *data, bool *);
-    void (*infopipe_domain_get_use_fully_qualified_names)(struct sbus_request *, void *data, bool *);
-    void (*infopipe_domain_get_subdomain)(struct sbus_request *, void *data, bool *);
-    void (*infopipe_domain_get_parent_domain)(struct sbus_request *, void *data, const char * *);
+    void (*iface_ifp_domains_get_name)(struct sbus_request *, void *data, const char * *);
+    void (*iface_ifp_domains_get_provider)(struct sbus_request *, void *data, const char * *);
+    void (*iface_ifp_domains_get_primary_servers)(struct sbus_request *, void *data, const char * * *, int *);
+    void (*iface_ifp_domains_get_backup_servers)(struct sbus_request *, void *data, const char * * *, int *);
+    void (*iface_ifp_domains_get_min_id)(struct sbus_request *, void *data, uint32_t *);
+    void (*iface_ifp_domains_get_max_id)(struct sbus_request *, void *data, uint32_t *);
+    void (*iface_ifp_domains_get_realm)(struct sbus_request *, void *data, const char * *);
+    void (*iface_ifp_domains_get_forest)(struct sbus_request *, void *data, const char * *);
+    void (*iface_ifp_domains_get_login_format)(struct sbus_request *, void *data, const char * *);
+    void (*iface_ifp_domains_get_fully_qualified_name_format)(struct sbus_request *, void *data, const char * *);
+    void (*iface_ifp_domains_get_enumerable)(struct sbus_request *, void *data, bool *);
+    void (*iface_ifp_domains_get_use_fully_qualified_names)(struct sbus_request *, void *data, bool *);
+    void (*iface_ifp_domains_get_subdomain)(struct sbus_request *, void *data, bool *);
+    void (*iface_ifp_domains_get_parent_domain)(struct sbus_request *, void *data, const char * *);
 };
 
 /* ------------------------------------------------------------------------
@@ -171,12 +171,12 @@ struct infopipe_domain {
  */
 
 /* interface info for org.freedesktop.sssd.infopipe */
-extern const struct sbus_interface_meta infopipe_iface_meta;
+extern const struct sbus_interface_meta iface_ifp_meta;
 
 /* interface info for org.freedesktop.sssd.infopipe.Components */
-extern const struct sbus_interface_meta infopipe_component_meta;
+extern const struct sbus_interface_meta iface_ifp_components_meta;
 
 /* interface info for org.freedesktop.sssd.infopipe.Domains */
-extern const struct sbus_interface_meta infopipe_domain_meta;
+extern const struct sbus_interface_meta iface_ifp_domains_meta;
 
 #endif /* __IFP_IFACE_XML__ */
diff --git a/src/responder/ifp/ifpsrv.c b/src/responder/ifp/ifpsrv.c
index 476008174948083e5a2c55876ad9b8395de1c233..a4cabf20aac8f91fc9cac8fc4ee3efff144cf0b8 100644
--- a/src/responder/ifp/ifpsrv.c
+++ b/src/responder/ifp/ifpsrv.c
@@ -196,7 +196,7 @@ static int ifp_sysbus_reconnect(struct sbus_request *dbus_req, void *data)
 
     /* Connect to the D-BUS system bus and set up methods */
     ret = sysbus_init(ifp_ctx, ifp_ctx->rctx->ev,
-                      INFOPIPE_IFACE,
+                      IFACE_IFP,
                       ifp_ctx, &ifp_ctx->sysbus);
     if (ret == ERR_NO_SYSBUS) {
         DEBUG(SSSDBG_MINOR_FAILURE,
@@ -326,7 +326,7 @@ int ifp_process_init(TALLOC_CTX *mem_ctx,
 
     /* Connect to the D-BUS system bus and set up methods */
     ret = sysbus_init(ifp_ctx, ifp_ctx->rctx->ev,
-                      INFOPIPE_IFACE,
+                      IFACE_IFP,
                       ifp_ctx, &ifp_ctx->sysbus);
     if (ret == ERR_NO_SYSBUS) {
         DEBUG(SSSDBG_MINOR_FAILURE,
diff --git a/src/responder/ifp/ifpsrv_cmd.c b/src/responder/ifp/ifpsrv_cmd.c
index 41b3543675ae5f539b7481af9d6cfce88074debb..11a7fb26ce77c60a93017ef856a51d10e6972ee8 100644
--- a/src/responder/ifp/ifpsrv_cmd.c
+++ b/src/responder/ifp/ifpsrv_cmd.c
@@ -411,8 +411,7 @@ ifp_user_get_groups_reply(struct sss_domain_info *domain,
         DEBUG(SSSDBG_TRACE_FUNC, "Adding group %s\n", groupnames[i]);
     }
 
-    return infopipe_iface_GetUserGroups_finish(ireq->dbus_req,
-                                               groupnames, num);
+    return iface_ifp_GetUserGroups_finish(ireq->dbus_req, groupnames, num);
 }
 
 struct ifp_user_get_attr_state {
-- 
1.9.3

